Name:           python-mozilla-version
Version:        3.2.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Process Firefox versions numbers. Tells whether they are valid or not, whether they are nightlies or regular releases, whether this version precedes that other.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/mozilla-releng/mozilla-version
Source:         %{pypi_source mozilla_version}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'mozilla-version' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-mozilla-version
Summary:        %{summary}

%description -n python3-mozilla-version %_description


%prep
%autosetup -p1 -n mozilla_version-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-mozilla-version -f %{pyproject_files}


%changelog
%autochangelog